Package com.avaya.clientservices.common

## Enum DataCollectionChangeType

- java.lang.Object
- - java.lang.Enum<DataCollectionChangeType>
  - - com.avaya.clientservices.common.DataCollectionChangeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DataCollectionChangeType>`

      public enum DataCollectionChangeType
      extends java.lang.Enum<DataCollectionChangeType>

  The types of changes reported to data collection listeners.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COLLECTION_CLEARED` | The entire data collection has been cleared (i.e.
    `ITEMS_ADDED` | One or more items have been added to the data collection.
    `ITEMS_DELETED` | One or more items have been deleted from the data collection.
    `ITEMS_UPDATED` | One or more items in the data collection have changed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DataCollectionChangeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DataCollectionChangeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ITEMS_ADDED

          public static final DataCollectionChangeType ITEMS_ADDED

      One or more items have been added to the data collection.

    - #### ITEMS_UPDATED

          public static final DataCollectionChangeType ITEMS_UPDATED

      One or more items in the data collection have changed.

    - #### ITEMS_DELETED

          public static final DataCollectionChangeType ITEMS_DELETED

      One or more items have been deleted from the data collection.

    - #### COLLECTION_CLEARED

          public static final DataCollectionChangeType COLLECTION_CLEARED

      The entire data collection has been cleared (i.e. all items removed).

  - ### Method Detail

    - #### values

          public static DataCollectionChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataCollectionChangeType c : DataCollectionChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataCollectionChangeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null